Subject: ar - memory exhaused
From: Arseny Slobodjuck <[email-masked]>
To: [email-masked]
Date: Tue, 19 Nov 2002 21:37:42 +1000

Hi,

  I'm compiling debug version of clisp (Common Lisp compiler) and on
  some stage come to following: An 8Mb object file need to be archived
  by 'ar' with command 'ar rcv lisp.a lisp.o' and I get the following:

$ ar rcv lisp.a lisp.o
a - lisp.o
ar: lisp.a: Memory exhausted  

  When I compiling non-debug version, lisp.o is about 2Mb and I get no
  error. My system is NT4.0SP6. How is this can be avoided ?

Similar question was asked here 2 years ago w/o success:

To: <cygwin at sourceware dot cygnus dot com>
Subject: "memory exhausted" ??? 
From: "kyra" <kyrab at mail dot ru> 
Date: Tue, 10 Oct 2000 05:17:00 +0400 

--------------------------------------------------------------------------------

When compiling a large c source file cygwin gcc-2.95.2 preprocessor aborts
in 3 seconds with something like "cpp: memory exhausted". Machive have 512MB
physical memory and there are not any signs of memory swapping or something.

This seems to be a cygwin issue (?) because native (mingw) gcc-2.95.2 does
compile the same source file pretty quickly and easily.

-- 
Best regards,
 Arseny                          mailto:[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/